7.1 Caveats to Consider Before Upgrading

Be aware of the following caveats when upgrading an OES server:

7.1.1 About Previously Installed Packages (RPMs)

Other Novell products, such as GroupWise, and third-party applications that you have installed are treated differently by default when you upgrade an OES server, depending on the version of the server you are upgrading:

  • OES 1: Applications are deleted by default during an upgrade.

  • OES 2 and OES 11: Applications installed on OES 2 and later servers are retained, but might not work after upgrading.

To learn more and for instructions on manually changing these options, see Planning for the Upgrade to OES 11 SP2 in the OES 11 SP2: Installation Guide.

7.1.2 Only One eDirectory Instance Is Supported on OES Servers

If your OES server has multiple instances of eDirectory running (multiple trees), any attempt to upgrade the server fails.

You must remove all instances, except the one that uses port 524, prior to an upgrade.

For more information, see Section 6.7.5, One Instance Only.

7.1.3 Before Upgrading to OES 11 SP2 You Must Update Sentinel

Before upgrading to OES 11 SP2 from OES 2 SP 3, you must update the system with the latest Sentinel agent.

Otherwise, the SLES 11 server might experience problems booting.

For more information, see the SLES 10 SP3 entry in Preparing the Server You Are Upgrading in the OES 11 SP2: Installation Guide.